using System;

namespace rglib.libtest {
    public abstract class BindingProxy<T> : IEquatable<BindingProxy<T>> {
        protected BindingProxy(T wrappedObject) {
            Object = wrappedObject;
        }

        public T Object { get; }

        public abstract bool Equals(BindingProxy<T> other);
    }


}